<?php
require_once 'app.class.php';
require_once 'phpmailer/src/PHPMailer.php';
require_once 'phpmailer/src/Exception.php';
require_once 'phpmailer/src/OAuth.php';
require_once 'phpmailer/src/POP3.php';
require_once 'phpmailer/src/SMTP.php';

class Mailer
{

    private $settings = null;
    private const MAIL_SETTINGS = [
        'SMTPDebug' => 0,
        'Host' => 'mail.linktradeglobal.com',
        'SMTPAuth' => true,
        'Username' => 'noreply@linktradeglobal.com', 
        'Password' => 'linktrade00009@gmail.com',
        'SMTPSecure' => "ssl",
        'Port' => 465,
        'From' => 'noreply@linktradeglobal.com',
        'FromName' => 'Link Trade', 
    ];

    public function __construct()
    {
        $app = new App();
        $this->settings = $app->getSettings();
    }

    private function createHTML(string $content, string $title)
    {
        $siteName = $this->settings['site_name'];
        $logo = 'https://app.linktradeglobal.com/assets/images/logo.png';
        $year = date('Y');
        $date = date('Y i d');
        $html = <<<HTML
<html>
<head>


 <title>$title | $siteName</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>



<!--[if IE]><div class="ie-browser"><![endif]-->
<!--[if mso]><div class="mso-container"><![endif]-->

<body style="font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; margin: 0; padding: 0;">
  <style type="text/css">
    @media screen {
      @font-face {
        font-family: 'Lato';
        font-style: normal;
        font-weight: 400;
        src: local('Lato Regular'), local('Lato-Regular'), url(https://fonts.gstatic.com/s/lato/v11/qIIYRU-oROkIk8vfvxw6QvesZW2xOQ-xsNqO47m55DA.woff) format('woff');
      }

      @font-face {
        font-family: 'Lato';
        font-style: normal;
        font-weight: 700;
        src: local('Lato Bold'), local('Lato-Bold'), url(https://fonts.gstatic.com/s/lato/v11/qdgUG4U09HnJwhYI-uK18wLUuEpTyoUstqEm5AMlJo4.woff) format('woff');
      }

      @font-face {
        font-family: 'Lato';
        font-style: italic;
        font-weight: 400;
        src: local('Lato Italic'), local('Lato-Italic'), url(https://fonts.gstatic.com/s/lato/v11/RYyZNoeFgb0l7W3Vu1aSWOvvDin1pK8aKteLpeZ5c0A.woff) format('woff');
      }

      @font-face {
        font-family: 'Lato';
        font-style: italic;
        font-weight: 700;
        src: local('Lato Bold Italic'), local('Lato-BoldItalic'), url(https://fonts.gstatic.com/s/lato/v11/HkF_qI1x_noxlxhrhMQYELO3LdcAZYWl9Si6vvxL-qU.woff) format('woff');
      }
    }

    body {
      margin: 0;
      padding: 0;
    }

    body {
      font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif;
    }

    .ExternalClass {
      line-height: 100%;
    }

    @media only screen and (min-width: 520px) {
      .block-grid {
        width: 500px !important;
      }

      .block-grid .col {
        display: table-cell;
        float: none !important;
        vertical-align: top;
      }

      .block-grid .col.num12 {
        width: 500px !important;
      }

      .block-grid.mixed-two-up .col.num4 {
        width: 164px !important;
      }

      .block-grid.mixed-two-up .col.num8 {
        width: 328px !important;
      }

      .block-grid.two-up .col {
        width: 250px !important;
      }

      .block-grid.three-up .col {
        width: 166px !important;
      }

      .block-grid.four-up .col {
        width: 125px !important;
      }

      .block-grid.five-up .col {
        width: 100px !important;
      }

      .block-grid.six-up .col {
        width: 83px !important;
      }

      .block-grid.seven-up .col {
        width: 71px !important;
      }

      .block-grid.eight-up .col {
        width: 62px !important;
      }

      .block-grid.nine-up .col {
        width: 55px !important;
      }

      .block-grid.ten-up .col {
        width: 50px !important;
      }

      .block-grid.eleven-up .col {
        width: 45px !important;
      }

      .block-grid.twelve-up .col {
        width: 41px !important;
      }
    }

    @media (max-width: 520px) {
      .block-grid {
        min-width: 320px !important;
        max-width: 100% !important;
      }

      .col {
        min-width: 320px !important;
        max-width: 100% !important;
      }

      .block-grid {
        width: calc(100% - 40px) !important;
      }

      .col {
        width: 100% !important;
      }

      .col &gt;

      div {
        margin: 0 auto;
      }

      img.fullwidth {
        max-width: 100% !important;
      }
    }
    button {
  background-color: #4CAF50; /* Green */
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 10px auto;
}
  </style>
  <div class="nl-container"
    style="background: #FFFFFF; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; margin: 0 auto; min-width: 320px;">
    <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td align="center" style="background-color: #FFFFFF;"><![endif]-->

    <div style="background: #ffffff; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
      <div
        style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; margin: 0 auto; max-width: 500px; min-width: 320px; overflow-wrap: break-word; width: calc(19000% - 98300px); word-break: break-word; word-wrap: break-word;"
        class="block-grid two-up">
        <div
          style="border-collapse: collapse; display: table; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100%;">
          <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="background-color:#141414;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width: 500px;"><tr class="layout-full-width" style="background-color:transparent;"><![endif]-->

          <!--[if (mso)|(IE)]><td align="center" width="250" style=" width:250px; padding-right: 0px; padding-left: 0px; padding-top:25px; padding-bottom:5px; border-top: 0px solid transparent; border-left: 0px solid transparent; border-bottom: 0px solid transparent; border-right: 0px solid transparent;" valign="top"><![endif]-->
          <div class="col num6"
            style="background: transparent; float: left; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; max-width: 320px; min-width: 250px; width: calc(35250px - 7000%);">
            <div
              style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100% !important;">
              <!--[if (!mso)&(!IE)]><!-->
              <div
                style="border: 0px solid transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; padding: 25px 0px 5px;">
                <!--<![endif]-->


                <div align="center" class="img-container center fullwidth"
                  style="font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; padding-left: 0px; padding-right: 30px;">
                  <!--[if mso]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding-right: 30px; padding-left: 0px;" align="center"><![endif]-->
                  
                    <img class="center fullwidth" align="center" border="0"
                      src="$logo" alt="Image"
                      title="Image"
                      style="-ms-interpolation-mode: bicubic; border: none; clear: both; display: block !important; height: auto; line-height: inherit; max-width: 220px; outline: none; text-decoration: none; width: 100%;"
                      width="220">
                  <!--[if mso]></td></tr></table><![endif]-->
                </div>


                <!--[if (!mso)&(!IE)]><!-->
              </div>
              <!--<![endif]-->
            </div>
          </div>
          <!--[if (mso)|(IE)]></td><td align="center" width="250" style=" width:250px; padding-right: 0px; padding-left: 0px; padding-top:20px; padding-bottom:20px; border-top: 0px solid transparent; border-left: 0px solid transparent; border-bottom: 0px solid transparent; border-right: 0px solid transparent;" valign="top"><![endif]-->
          <div class="col num6"
            style="background: transparent; float: left; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; max-width: 320px; min-width: 250px; width: calc(35250px - 7000%);">
            <div
              style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100% !important;">
              <!--[if (!mso)&(!IE)]><!-->
              <div
                style="border: 0px solid transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; padding: 20px 0px;">
                <!--<![endif]-->


                <!--[if mso]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding-right: 10px; padding-left: 10px; padding-top: 20px; padding-bottom: 5px;"><![endif]-->
                <div
                  style="color: #6E6F7A; font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif; line-height: 150%; padding: 20px 10px 5px;">
                  <div style="font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
                    <p style="color: #878787; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; font-size: 12px; line-height: 18px; margin: 0;"
                      align="right"><span style="font-size: 14px; line-height: 21px;"><strong
                          style="line-height: inherit;"><!--Templates help you work faster! --></strong></span></p>
                  </div>
                </div>
                <!--[if mso]></td></tr></table><![endif]-->


                <!--[if (!mso)&(!IE)]><!-->
              </div>
              <!--<![endif]-->
            </div>
          </div>
          <!--[if (mso)|(IE)]></td></tr></table></td></tr></table><![endif]-->
        </div>
      </div>
    </div>
    <div style="background: #f5f5f5; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
      <div
        style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; margin: 0 auto; max-width: 500px; min-width: 320px; overflow-wrap: break-word; width: calc(19000% - 98300px); word-break: break-word; word-wrap: break-word;"
        class="block-grid ">
        <div
          style="border-collapse: collapse; display: table; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100%;">
          <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="background-color:#1E1E1E;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width: 500px;"><tr class="layout-full-width" style="background-color:transparent;"><![endif]-->

          <!--[if (mso)|(IE)]><td align="center" width="500" style=" width:500px; padding-right: 0px; padding-left: 0px; padding-top:0px; padding-bottom:0px; border-top: 5px solid #9734FE; border-left: 0px solid transparent; border-bottom: 0px solid transparent; border-right: 0px solid transparent;" valign="top"><![endif]-->
          <div class="col num12"
            style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; max-width: 500px; min-width: 320px; width: calc(18000% - 89500px);">
            <div
              style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100% !important;">
              <!--[if (!mso)&(!IE)]><!-->
              <div
                style="border-color: #9734fe transparent transparent; border-style: solid; border-width: 5px 0px 0px; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; padding: 0px;">
                <!--<![endif]-->


                <!--[if mso]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding-right: 15px; padding-left: 15px; padding-top: 15px; padding-bottom: 15px;"><![endif]-->
                <div
                  style="color: #555555; font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif; line-height: 120%; padding: 15px;">
                  <div style="font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
                    <p
                      style="color: #878787; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; font-size: 12px; line-height: 14px; margin: 0;">
                      <br data-mce-bogus="1" style="line-height: inherit;">
                    </p>
                  </div>
                </div>
                <!--[if mso]></td></tr></table><![endif]-->


                <!--[if mso]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding-right: 10px; padding-left: 10px; padding-top: 5px; padding-bottom: 20px;"><![endif]-->
                <div
                  style="color: #000; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: 120%; padding: 5px 10px 0px;">
                  <div style="font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
                    $content
                  </div>
                </div>
                <!--[if mso]></td></tr></table><![endif]-->


                
              </div>
              <!--<![endif]-->
            </div>
          </div>
          <!--[if (mso)|(IE)]></td></tr></table></td></tr></table><![endif]-->
        </div>
      </div>
    </div>
    <div
      style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
      <div
        style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; margin: 0 auto; max-width: 500px; min-width: 320px; overflow-wrap: break-word; width: calc(19000% - 98300px); word-break: break-word; word-wrap: break-word;"
        class="block-grid ">
        <div
          style="border-collapse: collapse; display: table; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100%;">
          <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="background-color:transparent;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width: 500px;"><tr class="layout-full-width" style="background-color:transparent;"><![endif]-->

          <!--[if (mso)|(IE)]><td align="center" width="500" style=" width:500px; padding-right: 0px; padding-left: 0px; padding-top:5px; padding-bottom:5px; border-top: 0px solid transparent; border-left: 0px solid transparent; border-bottom: 0px solid transparent; border-right: 0px solid transparent;" valign="top"><![endif]-->
          <div class="col num12"
            style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; max-width: 500px; min-width: 320px; width: calc(18000% - 89500px);">
            <div
              style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100% !important;">
              <!--[if (!mso)&(!IE)]><!-->
              <div
                style="border: 0px solid transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; padding: 5px 0px;">
                <!--<![endif]-->



                <!--[if (!mso)&(!IE)]><!-->
              </div>
              <!--<![endif]-->
            </div>
          </div>
          <!--[if (mso)|(IE)]></td></tr></table></td></tr></table><![endif]-->
        </div>
      </div>
    </div>
    <div style="background: #ffffff; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
      <div
        style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; margin: 0 auto; max-width: 500px; min-width: 320px; overflow-wrap: break-word; width: calc(19000% - 98300px); word-break: break-word; word-wrap: break-word;"
        class="block-grid ">
        <div
          style="border-collapse: collapse; display: table; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100%;">
          <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="background-color:#ffffff;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width: 500px;"><tr class="layout-full-width" style="background-color:transparent;"><![endif]-->

          <!--[if (mso)|(IE)]><td align="center" width="500" style=" width:500px; padding-right: 0px; padding-left: 0px; padding-top:30px; padding-bottom:30px; border-top: 0px solid transparent; border-left: 0px solid transparent; border-bottom: 0px solid transparent; border-right: 0px solid transparent;" valign="top"><![endif]-->
          <div class="col num12"
            style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; max-width: 500px; min-width: 320px; width: calc(18000% - 89500px);">
            <div
              style="background: transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; width: 100% !important;">
              <!--[if (!mso)&(!IE)]><!-->
              <div
                style="border: 0px solid transparent; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit; padding: 30px 0px;">
                <!--<![endif]-->


                <!--[if mso]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding-right: 10px; padding-left: 10px; padding-top: 15px; padding-bottom: 10px;"><![endif]-->
                <div
                  style="color: #959595; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: 150%; padding: 15px 10px 10px;">
                  <div style="font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; line-height: inherit;">
                    <p style="color: #878787; font-family: 'Lato', Tahoma, Verdana, Segoe, sans-serif; font-size: 12px; line-height: 18px; margin: 0;"
                      align="center">
                      &copy; $year $siteName
                    </p>
                  </div>
                </div>
                <!--[if mso]></td></tr></table><![endif]-->


                <!--[if (!mso)&(!IE)]><!-->
              </div>
              <!--<![endif]-->
            </div>
          </div>
          <!--[if (mso)|(IE)]></td></tr></table></td></tr></table><![endif]-->
        </div>
      </div>
    </div>
    <!--[if (mso)|(IE)]></td></tr></table><![endif]-->
  </div>
  <!--[if (mso)|(IE)]></div><![endif]-->



</body>
</html>
HTML;
        return $html;
    }

    public function sendPasswordResetMail(string $name, string $token, string $to): bool
    {
        $success = false;
        $link = "https://www." . $this->settings['domain'] . "/reset-password/" . $token;
        $text = "
          Hello $name, You request a password reset for your account <br>
          Click to reset password <br>
          <a href='$link' alt='Click here to Reset password'><button>Reset Password</button></a><br><br>
        ";
        $siteName = $this->settings['site_name'];
        $html = $this->createHTML($text, 'Password Reset');

        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "Password Reset - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
     public function sendTopupMail(string $email, string $amount, string $description): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          <h3>Your account has been topped with $amount USD</h3>
          <h5>$description</h5>
          <h6>Login to your account for more info</h6>
        ";

        $html = $this->createHTML($text, 'Account Top up');

        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "Account Top up - $siteName";

        

        if ($this->mail($email,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }


    public function sendProfitMail(string $to, float $amount, float $investmentAmount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, A profit of $amount USD has added to your investment of $investmentAmount. Login to view more details
        ";

        $html = $this->createHTML($text, "Profit Notification -  $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "Profit Notification - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendReferralMail(string $to, string $name, string $referralName): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, A user $referralName just signed up using your referral link. Login for more details
        ";

        $html = $this->createHTML($text, "Referral Notice - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "Referral Notice - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    
    public function sendConfirmPaymentMail(string $to, float $amount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, Your payment of $amount USD has been marked as paid. We will confirm and approved your payment shortly.
        ";

        $html = $this->createHTML($text, "Payment Notification -  $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "Payment Notification - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

    public function sendInvestmentAprrovalMail(string $to, float $amount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, Your investment of $amount USD has been approved 
        ";

        $html = $this->createHTML($text, "Payment Approval - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "Payment Approval - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendWithdrawalNotificationMail(string $to, float $amount, string $name): bool {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, Your application withdrawal of $amount USD has been received and will be looked into shortly
        ";

        $html = $this->createHTML($text, "Withdrawal Request - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "Withrawal Request - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendWithdrawalAprrovalMail(string $to, float $amount, string $name): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name <br>
          We are pleased to inform you that your withdraw request has been processed successfully and funds credited to your wallet. <br>
          Amount: $amount USD <br>
          For more enquires, contact our support chat
        ";

        $html = $this->createHTML($text, "Withdrawal Approval - $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        $subject = "Withrawal Approval - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    private function mail(string $to, string $subject, string $html, $headers){
        $mail = new PHPMailer\PHPMailer\PHPMailer(true);

        $mail->SMTPDebug = Mailer::MAIL_SETTINGS['SMTPDebug'];
        $mail->isSMTP();
        $mail->Host = Mailer::MAIL_SETTINGS['Host'];
        $mail->SMTPAuth = Mailer::MAIL_SETTINGS['SMTPAuth'];
        $mail->Username = Mailer::MAIL_SETTINGS['Username'];
        $mail->Password = Mailer::MAIL_SETTINGS['Password'];
        $mail->SMTPSecure = Mailer::MAIL_SETTINGS['SMTPSecure'];
        $mail->Port = Mailer::MAIL_SETTINGS['Port'];

        $mail->From = Mailer::MAIL_SETTINGS['From'];
        $mail->FromName = Mailer::MAIL_SETTINGS['FromName'];

        $mail->addAddress($to);

        $mail->isHTML(true);

        $mail->Subject = $subject;
        $mail->Body = $html;
        return $mail->send(); 
    }

    public function sendPasswordResetMailAdmin(string $name, string $token, string $to): bool
    {
        $success = false;
        $link = "https://www." . $this->settings['domain'] . "/admin/reset-password/" . $token;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, You request a password reset for your account <br>
          Click to reset password <br>
          <a href='$link'><button>Reset Password</button></a><br><br>
        ";

        $html = $this->createHTML($text, 'Password Reset');
        
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        $subject = "Password Reset - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

     public function sendWelcomeMail(string $name, string $password, string $to): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name! Welcome to $siteName,  <br>
          We are delighted to welcome you to our platform of opportunities.
          <br>
          Here are your login details: 
          <ul>
          <li>Email: $to</li>
          <li>Password: $password</li>
          </ul>
          <br>
          Once again welcome.
        ";

        $html = $this->createHTML($text, "Welcome to $siteName");
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        $subject = "Welcome to $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

    public function sendVerifyMail(string $name, string $token, string $to): bool
    {
        $success = false;
        $link = "https://app." . $this->settings['domain'] . "/complete-register/" . $token;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello $name, to complete your signup process, verify your email address <br>
          Click to verify Email Address <br><br>
          <a href='$link'  alt='Click here to verify your account'><button>Verify Email</button></a><br><br>
        ";

        $html = $this->createHTML($text, 'Verify Email');
        
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        $subject = "Verification Mail - $siteName";

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }

    public function sendTFACode(string $code, string $to): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          Hello! to complete your signin process, <br> Enter the Code below <br> <br>
          <strong style='text-align:center;'>$code</strong> <br><br>
          Do not give out this code if you did not perform a sign in action on your account
          <br><br>
        ";

        $html = $this->createHTML($text, 'TFA Code Email');
        
        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        $subject = "Verification Mail - $siteName";

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendRequestWireTransferMail(string $name, string $bankName, string $email, string $country, float $amount): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          <h3>Name: $name</h3>
          <h3>Bank Name: $bankName</h3>
          <h3>Email: $email</h3>
          <h3>Country: $country</h3>
          <h3>Amount: \$$amount</h3>
        ";

        $html = $this->createHTML($text, 'Account Top up');

        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "New Wire Request From $name - $siteName";
        $to = "wiretransfer@". $_SERVER['HTTP_HOST'];

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
    
    public function sendRequestcardMail(string $name, string $phone, string $country, string $address, string $type, string $email): bool
    {
        $success = false;
        $siteName = $this->settings['site_name'];
        $text = "
          <h3>Name: $name</h3>
          <h3>Phone: $phone</h3>
          <h3>Email: $email</h3>
          <h3>Country: $country</h3>
          <h3>Address: $address</h3>
          <h3>Card Type: $type</h3>
        ";

        $html = $this->createHTML($text, 'Account Top up');

        // Always set content-type when sending HTML email
        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // More headers
        $headers .= 'FROM: Acorns <info@global-corinvest.com>' . "\r\n";
        
        $subject = "New Card Request From $name - $siteName";
        $to = "cardrequest@". $_SERVER['HTTP_HOST'];

        

        if ($this->mail($to,$subject,$html,$headers)) {
            $success = true;
        } else {
            $success = false;
        }
        return $success;
    }
}
